Bug 692224 - Issues with transparency at high resolutions
Issues with transparency at high resolutions
Status: NOTIFIED FIXED
Product: Ghostscript
Classification: Unclassified
Component: Graphics Library
master
PC All
: P2 normal
Assigned To: Ray Johnston
Bug traffic
:
: 691372 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-23 09:37 PDT by Marcos H. Woehrmann
Modified: 2011-11-25 04:43 PST (History)
2 users (show)

See Also:
Customer: 536
Word Size: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcos H. Woehrmann 2011-05-23 09:37:20 PDT
The customer reports and I've verified that Ghostscript 9.02 and head (b7d52f725a7c4ef939469f757687a86252fade9c) produce a PNG file with a correct transparent background at 150 dpi but not at 300 dpi.

The command lines I'm using for testing:

  bin/gs -r150 -sDEVICE=pngalpha -o test150.png line_demo.pdf

and

  bin/gs -r300 -sDEVICE=pngalpha -o test300.png line_demo.pdf
Comment 2 Michael Vrhel 2011-09-10 16:11:55 PDT
This has actually nothing to do with transparency but is a clist issue (the file contains no transparency and the pdf14 device is not installed).  The pngalpha devices alpha channel appears is not being handled properly during clist writing.
Assigning to Ray to look at.
Comment 3 Michael Vrhel 2011-10-05 07:19:09 PDT
*** Bug 691372 has been marked as a duplicate of this bug. ***
Comment 4 Ray Johnston 2011-10-11 16:21:43 PDT
Fixed with commit 5ce12e8

Handle transparent background with custom fillpage in pngalpha